# Class StreamingFailedToTransmuxSegmentError

#### Hierarchy

- StreamingSegmentError
  - StreamingFailedToTransmuxSegmentError

#####
Index

### Constructors

constructor

### Properties

category
code
error
segmentInfo

## Constructors

### constructor

- new StreamingFailedToTransmuxSegmentError(error, segmentInfo): StreamingFailedToTransmuxSegmentError

- #### Parameters

  - error: Error
  - segmentInfo: SegmentInfo

  #### Returns StreamingFailedToTransmuxSegmentError

  Inherited from StreamingSegmentError.constructor

## Properties

### `Readonly` category

category: Streaming = ErrorCategory.Streaming

Inherited from StreamingSegmentError.category

### `Readonly` code

code: StreamingFailedToTransmuxSegment = ErrorCode.StreamingFailedToTransmuxSegment

Overrides StreamingSegmentError.code

### `Readonly` error

error: Error

Inherited from StreamingSegmentError.error

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from StreamingSegmentError.segmentInfo